#ifndef __SDKREGISTRATION_H__
#define __SDKREGISTRATION_H__

class SDKRegistrationImpl
{
public:
	static void SetLicenseKey(const char * key);

	static const char * GetLicenseKey();

	static bool IsRegistered();

	static bool IsExpired();

private:
	static bool isRegistered;
	static bool isExpired;
	static string licenseKey;
};

#endif
